/*
 board.h

  MacFCEU 0.9d5
*/

typedef struct BMAPPING//(16+)
{
	char		*name;
	int		mapper;
	void (*init)(CartInfo*);
	uint32		flags;
} BMAPPING;

BMAPPING FCEU_bmap[];

#define BMCFLAG_FORCE4		1
#define NESFLAG_MF		BMCFLAG_FORCE4
#define BMCFLAG_CHRROK		2	// Ok for generic UNIF code to make available
				// 8KB of CHR RAM if no CHR ROM is present.
#define BMCFLAG_16KCHRR		4	// 16KB over 8KB for a BMC
#define NESFLAG_P32		8
#define NESFLAG_P64		0x10
#define NESFLAG_P128		0x20
#define NESFLAG_P256		0x40
#define NESFLAG_P512		0x80
#define NESFLAG_PO		0x100	// oversized >512KB PRG
#define NESFLAG_PK		0x1F8
#define NESFLAG_NC		0x200	// no CHR ROM
#define NESFLAG_C16L		0x400	// <16KB CHR
#define NESFLAG_C16		0x800
#define NESFLAG_C32		0x1000
#define NESFLAG_C64		0x2000
#define NESFLAG_C128		0x4000
#define NESFLAG_CO		0x8000	// oversized >=256KB CHR
#define NESFLAG_CK		0xFE00
#define NESFLAG_W		0x10000	// PRG RAM
#define NESFLAG_NW		0x20000	// no PRG RAM
#define NESFLAG_W8G		0x40000	// >8KB WRAM
#define NESFLAG_W16G		0x80000	// >16KB WRAM
#define NESFLAG_W32L		0x100000 // <32KB WRAM
#define NESFLAG_NMF		0x200000 // not four-screen

#define NESFLAG_PO128		(NESFLAG_P128|NESFLAG_P256|NESFLAG_P512|NESFLAG_PO)
#define NESFLAG_CO128		(NESFLAG_C128|NESFLAG_CO)
