/*
 boards/Nitra.c

 * MacFCEU 0.9d6
 *
 * Copyright notice for this file:
 *  mapper 250 Copyright (C) 2003 Xodnizel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "mapinc.h"
#include "MMC3and6.h"

/* ---- mapper 250: Nitra TDA */

static DECLFW(M250_CMDwrite)
{
(void)V;
	MMC3_8CMDWrite(A>>10|0x8000,(uint8)A);
}

static DECLFW(M250_AMSWrite)
{
(void)V;
	MMC3_AMWSWrite(A>>10|0xA000,(uint8)A);
}

static DECLFW(M250_CIQWrite)
{
(void)V;
	MMC3_CIRQWrite(A>>10|0xC000,(uint8)A);
}

static DECLFW(M250_EIQWrite)
{
(void)V;
	MMC3_EIRQWrite(A>>10|0xE000,(uint8)A);
}

static void M250Power(void)
{
	GenMMC3Power();
	SetWriteHandler(0x8000,0x9FFF,M250_CMDwrite);
	SetWriteHandler(0xA000,0xBFFF,M250_AMSWrite);
	SetWriteHandler(0xC000,0xDFFF,M250_CIQWrite);
	SetWriteHandler(0xE000,0xFFFF,M250_EIQWrite);
}

void Nitra_TDA_Init(CartInfo *info)
{
	GenMMC3_Init(info,512,256,8,info->battery);
	info->Power = M250Power;
}
