/*
 macos/debugger.h

  Created: 2008.08.06
  Revised: 2015.10.01
*/

#ifdef __MACWINDOWS__
 extern WindowRef debuggerwindow;
#endif

/* ---- constants */

typedef struct debug_settings
{
	uint16		tf;
	uint8		bri, brp, echo, dmt;
} debug_settings;

extern debug_settings	debugset;
#define step_traceflags		debugset.tf
#define break_illegal		debugset.bri
#define break_breakpoint	debugset.brp
#define debug_echo		debugset.echo
#define debug_dmt		debugset.dmt

#ifdef TREC_STRUCTS
static trec	debug_trec[] =
{
	O_TREC(_uint16,debug_settings,tf),
	O_TREC(_bool,debug_settings,bri),
	O_TREC(_bool,debug_settings,brp),
	O_TREC(_uint8,debug_settings,echo),
	O_TREC(_bool,debug_settings,dmt),
	{0}
};
#endif

/* ---- globals */

extern boolean debug_open;
extern volatile int debug_stepcount;

/* ---- prototypes */

boolean debuggerwindow_visible(void); /* added; 2010.03.27 */
int debuggerwindow_show(int show); /* negative to toggle */
int debuggerwindow_update(boolean erase);
void debuggerwindow_activate(boolean activate);
int debuggerwindow_grow(const struct EventRecord *event);
int debuggerwindow_click(const struct EventRecord *event);

int debuggerwindow_step(int count);
int debuggerwindow_clear(boolean update); /* clears window, breakpoints */
